Loading...
Searching...
No Matches
apr_mmap.h File Reference

APR MMAP routines. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_errno.h"`
`#include "apr_ring.h"`
`#include "apr_file_io.h"`
Include dependency graph for apr_mmap.h:

Go to the source code of this file.

## Data Structures

struct | apr_mmap_t

## Macros

#define | APR_MMAP_READ 1
#define | APR_MMAP_WRITE 2
#define | APR_MMAP_THRESHOLD 1
#define | APR_MMAP_LIMIT (4*1024*1024)
#define | APR_MMAP_CANDIDATE(filelength) ((filelength >= APR_MMAP_THRESHOLD) && (filelength < APR_MMAP_LIMIT))

## Typedefs

typedef struct apr_mmap_t | apr_mmap_t

## Functions

apr_status_t | apr_mmap_create (apr_mmap_t **newmmap, apr_file_t *file, apr_off_t offset, apr_size_t size, apr_int32_t flag, apr_pool_t *cntxt)
apr_status_t | apr_mmap_dup (apr_mmap_t **new_mmap, apr_mmap_t *old_mmap, apr_pool_t *p)
apr_status_t | apr_mmap_delete (apr_mmap_t *mm)
apr_status_t | apr_mmap_offset (void **addr, apr_mmap_t *mm, apr_off_t offset)

## Detailed Description

APR MMAP routines.